<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [startAction](./bitburner.bladeburner.startaction.md)

## Bladeburner.startAction() method

Start an action.

**Signature:**

```typescript
startAction(type: BladeburnerActionType, name: BladeburnerActionName): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

type


</td><td>

[BladeburnerActionType](./bitburner.bladeburneractiontype.md)


</td><td>

Type of action.


</td></tr>
<tr><td>

name


</td><td>

[BladeburnerActionName](./bitburner.bladeburneractionname.md)


</td><td>

Name of action. Must be an exact match


</td></tr>
</tbody></table>

**Returns:**

boolean

True if the action was started successfully, and false otherwise.

## Remarks

RAM cost: 4 GB

Attempts to start the specified Bladeburner action. Returns true if the action was started successfully, and false otherwise.

## Example


```js
ns.bladeburner.startAction("Contracts", "Tracking")

// This will start the Bladeburner Contracts action of Tracking
```

